<?php
/**
 * Clase Base Bean para BaseCrCategoriaPrestamologBN
 *
 * @package    Sedapal
 * @subpackage BaseCrCategoriaPrestamologBN
 * @author     Willy
 * @version    SVN:: BaseCrCategoriaPrestamologBN.class.php,v 1.1 2017-09-02 12:04:36 william.taype Exp $
 */
abstract class BaseCrCategoriaPrestamologBN
{
  protected $Idprestamo;
  protected $Fecha;
  protected $Nombrecategoria;
  protected $Idcategoria;
  protected $Peso;
  protected $Mensaje;
  protected $Error;

  public function getIdprestamo(){
    return $this->Idprestamo;
  }
  public function setIdprestamo($v1){
    $this->Idprestamo = $v1; 
  }

  public function getFecha(){
    return $this->Fecha;
  }
  public function setFecha($v1){
    $this->Fecha = $v1; 
  }

  public function getNombrecategoria(){
    return $this->Nombrecategoria;
  }
  public function setNombrecategoria($v1){
    $this->Nombrecategoria = $v1; 
  }

  public function getIdcategoria(){
    return $this->Idcategoria;
  }
  public function setIdcategoria($v1){
    $this->Idcategoria = $v1; 
  }

  public function getPeso(){
    return $this->Peso;
  }
  public function setPeso($v1){
    $this->Peso = $v1; 
  }

   public function getCantidadPrestamos(){
    return $this->CantidadPrestamos;
  }
  public function setCantidadPrestamos($v1){
    $this->CantidadPrestamos = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_categoria_prestamologBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_categoria_prestamologRs )
  {
    $o_CrCategoriaPrestamologBN = new CrCategoriaPrestamologBN();
    $o_CrCategoriaPrestamologBN->setIdprestamo( $o_Cr_categoria_prestamologRs['idprestamo'] );
    $o_CrCategoriaPrestamologBN->setFecha( $o_Cr_categoria_prestamologRs['fecha'] );
    $o_CrCategoriaPrestamologBN->setNombrecategoria( $o_Cr_categoria_prestamologRs['nombrecategoria'] );
    $o_CrCategoriaPrestamologBN->setIdcategoria( $o_Cr_categoria_prestamologRs['idcategoria'] );
    $o_CrCategoriaPrestamologBN->setPeso( $o_Cr_categoria_prestamologRs['peso'] );
    return $o_CrCategoriaPrestamologBN;
  }
}